Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.util.swt
Class RCPImageRegistryService

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.util.swt.RCPImageRegistryService

All Implemented Interfaces:
  ImageRegistryService

    public class RCPImageRegistryService

extends Object
implements ImageRegistryService

An `ImageRegistryService` which expects exactly one UI Thread.

Author:
  Eugen Neufeld

Constructor Summary
`RCPImageRegistryService()` The default constructor.

Method Summary
`org.eclipse.swt.graphics.Image` | `getImage(org.osgi.framework.Bundle bundle, String path)` Retrieve an `Image` based on a Bundle and a path within.
`org.eclipse.swt.graphics.Image` | `getImage(URL url)` Retrieve an `Image` based on an `URL`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RCPImageRegistryService

    public RCPImageRegistryService()

  The default constructor.

Method Detail

### getImage

    public org.eclipse.swt.graphics.Image getImage(org.osgi.framework.Bundle bundle,
                                                   String path)

  Description copied from interface: `ImageRegistryService`
  Retrieve an `Image` based on a Bundle and a path within.

  Specified by:
    `getImage` in interface `ImageRegistryService`
  Parameters:
    `bundle` - the Bundle to get the image from
    `path` - the path to the image within the bundle
  Returns:
    the loaded `Image`

### getImage

    public org.eclipse.swt.graphics.Image getImage(URL url)

  Description copied from interface: `ImageRegistryService`
  Retrieve an `Image` based on an `URL`.

  Specified by:
    `getImage` in interface `ImageRegistryService`
  Parameters:
    `url` - the `URL` to load the image from
  Returns:
    the loaded `Image`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.